from valentine.plonedev.db import productiondbtodev
from Products.CMFPlone.interfaces.siteroot import IPloneSiteRoot
from Globals import DevelopmentMode
from OFS.interfaces import IApplication
from zope.interface import directlyProvides, directlyProvidedBy

def setupdb(context):
    """ Adds vhm mappings for developers. This is to make life easier. dev1:8080 will
        show the root of the site from the public visitors' perspective. This also
        will select the public skin, if we use localhost:8080 we get the cms skin. """

    # we only run this stuff if we're in debug mode
    if not DevelopmentMode:
        return

    app = context._ProductContext__app
    www = getattr(app, 'www', None)
    if www is not None:
        directlyProvides(www, directlyProvidedBy(www)+IApplication)
    vhm = app.get('virtual_hosting', None)
    
    if vhm is None:
        # This is the first time zope is started, no vhm or site exist yet
        return

    # we only add to virtual host monster if there's nothing there already
    if vhm.lines:
        return

    count = 0
    vhm_mapping = ""

    for obj in app.objectValues():
        if IPloneSiteRoot.providedBy(obj):
            count += 1
            vhm_mapping += "dev%d/%s/SITE" % (count, obj.getId())

    vhm.set_map(vhm_mapping)
