from setuptools import setup, find_packages
from os.path import join

name = 'eea.policy.dev'
path = name.split('.') + ['version.txt']
version = open(join(*path)).read().strip()


setup(name='eea.policy.dev',
        version=version,
        description="EEA policy for development",
        long_description="""eea.policy.dev contains all configuration that is specific for development, but that don't belong to any other product/package.""",
        url="https://svn.eionet.europa.eu/projects/"
        "Zope/browser/trunk/eea.policy.dev",
        classifiers=[
            "Framework :: Plone",
            "Programming Language :: Python",
            ],
        keywords='EEA policy dev',
        author='Tim Terlegard, Antonio De Marinis (EEA), European Environment Agency (EEA)',
        author_email='webadmin@eea.europa.eu',
        license='GPL',
        packages=find_packages(),
        namespace_packages=['eea', 'eea.policy'],
        include_package_data=True,
        zip_safe=False,
        install_requires=[
            # -*- Extra requirements: -*-
            ],
        entry_points="""
      [console_scripts]
      setupdbfordev = eea.policy.dev.setupdbfordev:main
      """,
      )
